/* **********************************************************************
 * *                                                                    *
 * *                   Bitex Shared Definitions                         *
 * *                                                                    *
 * **********************************************************************
 * File: utils/bitexx/bitex.h
 *
 *                 COPYRIGHT (c) 1996, 1997, 1998  BY
 *          SIGMET INCORPORATED, WESTFORD MASSACHUSETTS, U.S.A.
 *
 * THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND  COPIED
 * ONLY  IN  ACCORDANCE WITH  THE  TERMS  OF  SUCH  LICENSE  AND WITH THE
 * INCLUSION OF THE ABOVE COPYRIGHT NOTICE.  THIS SOFTWARE  OR  ANY OTHER
 * COPIES  THEREOF MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY
 * OTHER PERSON.  NO TITLE TO AND OWNERSHIP OF  THE  SOFTWARE  IS  HEREBY
 * TRANSFERED.
 */
#ifndef BITEX_H
#define BITEX_H

#ifdef BITEX_ALLOCATE
#define EXTERN
#else
#define EXTERN extern
#endif

/* Shared variables
 */
EXTERN int    setupMode_c ;
EXTERN int    dataChanged_c ;
EXTERN struct bitex_setup bitex_c;

/* Function Prototypes
 */
void bitexApplShell_initValues(void);
void bitexApplShell_saveButtonSetSensitive(UINT1 lsensitive_a);

void fieldConfig_create(swidget parent_wgt);
void fieldConfig_popup(void);
void fieldConfig_popdown(void);
int  fieldConfig_isManaged(void);
void fieldConfig_disp(int field_num_a); 
void fieldConfig_dispCur(void);

void biteConfig_create(swidget parent_wgt);
void biteConfig_popup(void);
void biteConfig_popdown(void);
int  biteConfig_isManaged(void);
void biteConfig_disp(void);
void biteConfig_dispNumByteAndPanel(struct bitex_setup bitex_a);

void bitexFunc_checkBiteDriverData(void) ;
void bitexFunc_getBiteDriverData(void);
void bitexFunc_setBiteDriverData(void);
void bitexFunc_saveBiteData(void);
void bitexFunc_loadBiteData(void);
void bitexFunc_loadBiteData(void);
void bitexFunc_biteGetDefAndCheck(UINT2 lforce_a);

#undef EXTERN
#endif
